<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.WindturbineStatusDayStatisticsMapper">
<!--  <cache type="org.mybatis.caches.ehcache.EhcacheCache">-->
<!--    <property name="timeToIdleSeconds" value="60"></property>&lt;!&ndash;&lt;!&ndash;当缓存闲置60秒后销毁&ndash;&gt;&ndash;&gt;-->
<!--    <property name="timeToLiveSeconds" value="160"></property>&lt;!&ndash;&lt;!&ndash;缓存存在160秒后销毁&ndash;&gt;&ndash;&gt;-->
<!--    <property name="maxEntriesLocalHeap" value="1000"></property>-->
<!--    <property name="maxEntriesLocalDisk" value="10000000"></property>-->
<!--    <property name="memoryStoreEvictionPolicy" value="LRU"></property>-->
<!--  </cache>-->
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.WindturbineStatusDayStatistics">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="windPowerStationId" jdbcType="VARCHAR" property="windpowerstationid" />
    <result column="windTurbineId" jdbcType="VARCHAR" property="windturbineid" />
    <result column="recorddate" jdbcType="DATE" property="recorddate" />
    <result column="stopHours" jdbcType="DECIMAL" property="stophours" />
    <result column="status0" jdbcType="INTEGER" property="status0" />
    <result column="status1" jdbcType="INTEGER" property="status1" />
    <result column="status2" jdbcType="INTEGER" property="status2" />
    <result column="status3" jdbcType="INTEGER" property="status3" />
    <result column="status4" jdbcType="INTEGER" property="status4" />
    <result column="status5" jdbcType="INTEGER" property="status5" />
    <result column="status6" jdbcType="INTEGER" property="status6" />
    <result column="status7" jdbcType="INTEGER" property="status7" />
    <result column="status8" jdbcType="INTEGER" property="status8" />
    <result column="status9" jdbcType="INTEGER" property="status9" />
    <result column="status10" jdbcType="INTEGER" property="status10" />
    <result column="status11" jdbcType="INTEGER" property="status11" />
    <result column="status12" jdbcType="INTEGER" property="status12" />
    <result column="statusHours0" jdbcType="DECIMAL" property="statushours0" />
    <result column="statusHours1" jdbcType="DECIMAL" property="statushours1" />
    <result column="statusHours2" jdbcType="DECIMAL" property="statushours2" />
    <result column="statusHours3" jdbcType="DECIMAL" property="statushours3" />
    <result column="statusHours4" jdbcType="DECIMAL" property="statushours4" />
    <result column="statusHours5" jdbcType="DECIMAL" property="statushours5" />
    <result column="statusHours6" jdbcType="DECIMAL" property="statushours6" />
    <result column="statusHours7" jdbcType="DECIMAL" property="statushours7" />
    <result column="statusHours8" jdbcType="DECIMAL" property="statushours8" />
    <result column="statusHours9" jdbcType="DECIMAL" property="statushours9" />
    <result column="statusHours10" jdbcType="DECIMAL" property="statushours10" />
    <result column="statusHours11" jdbcType="DECIMAL" property="statushours11" />
    <result column="statusHours12" jdbcType="DECIMAL" property="statushours12" />
    <result column="Lossofpower0" jdbcType="DECIMAL" property="lossofpower0" />
    <result column="Lossofpower1" jdbcType="DECIMAL" property="lossofpower1" />
    <result column="Lossofpower2" jdbcType="DECIMAL" property="lossofpower2" />
    <result column="Lossofpower3" jdbcType="DECIMAL" property="lossofpower3" />
    <result column="Lossofpower4" jdbcType="DECIMAL" property="lossofpower4" />
    <result column="Lossofpower5" jdbcType="DECIMAL" property="lossofpower5" />
    <result column="Lossofpower6" jdbcType="DECIMAL" property="lossofpower6" />
    <result column="Lossofpower7" jdbcType="DECIMAL" property="lossofpower7" />
    <result column="Lossofpower8" jdbcType="DECIMAL" property="lossofpower8" />
    <result column="Lossofpower9" jdbcType="DECIMAL" property="lossofpower9" />
    <result column="Lossofpower10" jdbcType="DECIMAL" property="lossofpower10" />
    <result column="Lossofpower11" jdbcType="DECIMAL" property="lossofpower11" />
    <result column="Lossofpower12" jdbcType="DECIMAL" property="lossofpower12" />
    <result column="statusLossofpower0" jdbcType="DECIMAL" property="statuslossofpower0" />
    <result column="statusLossofpower1" jdbcType="DECIMAL" property="statuslossofpower1" />
    <result column="statusLossofpower2" jdbcType="DECIMAL" property="statuslossofpower2" />
    <result column="statusLossofpower3" jdbcType="DECIMAL" property="statuslossofpower3" />
    <result column="statusLossofpower4" jdbcType="DECIMAL" property="statuslossofpower4" />
    <result column="statusLossofpower5" jdbcType="DECIMAL" property="statuslossofpower5" />
    <result column="statusLossofpower6" jdbcType="DECIMAL" property="statuslossofpower6" />
    <result column="statusLossofpower7" jdbcType="DECIMAL" property="statuslossofpower7" />
    <result column="statusLossofpower8" jdbcType="DECIMAL" property="statuslossofpower8" />
    <result column="statusLossofpower9" jdbcType="DECIMAL" property="statuslossofpower9" />
    <result column="statusLossofpower10" jdbcType="DECIMAL" property="statuslossofpower10" />
    <result column="statusLossofpower11" jdbcType="DECIMAL" property="statuslossofpower11" />
    <result column="statusLossofpower12" jdbcType="DECIMAL" property="statuslossofpower12" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, windPowerStationId, windTurbineId, recorddate, stopHours, status0, status1, status2, 
    status3, status4, status5, status6, status7, status8, status9, status10, status11, 
    status12, statusHours0, statusHours1, statusHours2, statusHours3, statusHours4, statusHours5, 
    statusHours6, statusHours7, statusHours8, statusHours9, statusHours10, statusHours11, 
    statusHours12, Lossofpower0, Lossofpower1, Lossofpower2, Lossofpower3, Lossofpower4, 
    Lossofpower5, Lossofpower6, Lossofpower7, Lossofpower8, Lossofpower9, Lossofpower10, 
    Lossofpower11, Lossofpower12, statusLossofpower0, statusLossofpower1, statusLossofpower2, 
    statusLossofpower3, statusLossofpower4, statusLossofpower5, statusLossofpower6, statusLossofpower7, 
    statusLossofpower8, statusLossofpower9, statusLossofpower10, statusLossofpower11, 
    statusLossofpower12
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.WindturbineStatusDayStatisticsExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from windturbinestatusdaystatistics
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from windturbinestatusdaystatistics
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbinestatusdaystatistics
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.WindturbineStatusDayStatisticsExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbinestatusdaystatistics
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.WindturbineStatusDayStatistics">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbinestatusdaystatistics (id, windPowerStationId, windTurbineId, 
      recorddate, stopHours, status0, 
      status1, status2, status3, 
      status4, status5, status6, 
      status7, status8, status9, 
      status10, status11, status12, 
      statusHours0, statusHours1, statusHours2, 
      statusHours3, statusHours4, statusHours5, 
      statusHours6, statusHours7, statusHours8, 
      statusHours9, statusHours10, statusHours11, 
      statusHours12, Lossofpower0, Lossofpower1, 
      Lossofpower2, Lossofpower3, Lossofpower4, 
      Lossofpower5, Lossofpower6, Lossofpower7, 
      Lossofpower8, Lossofpower9, Lossofpower10, 
      Lossofpower11, Lossofpower12, statusLossofpower0, 
      statusLossofpower1, statusLossofpower2, 
      statusLossofpower3, statusLossofpower4, 
      statusLossofpower5, statusLossofpower6, 
      statusLossofpower7, statusLossofpower8, 
      statusLossofpower9, statusLossofpower10, 
      statusLossofpower11, statusLossofpower12
      )
    values (#{id,jdbcType=INTEGER}, #{windpowerstationid,jdbcType=VARCHAR}, #{windturbineid,jdbcType=VARCHAR}, 
      #{recorddate,jdbcType=DATE}, #{stophours,jdbcType=DECIMAL}, #{status0,jdbcType=INTEGER}, 
      #{status1,jdbcType=INTEGER}, #{status2,jdbcType=INTEGER}, #{status3,jdbcType=INTEGER}, 
      #{status4,jdbcType=INTEGER}, #{status5,jdbcType=INTEGER}, #{status6,jdbcType=INTEGER}, 
      #{status7,jdbcType=INTEGER}, #{status8,jdbcType=INTEGER}, #{status9,jdbcType=INTEGER}, 
      #{status10,jdbcType=INTEGER}, #{status11,jdbcType=INTEGER}, #{status12,jdbcType=INTEGER}, 
      #{statushours0,jdbcType=DECIMAL}, #{statushours1,jdbcType=DECIMAL}, #{statushours2,jdbcType=DECIMAL}, 
      #{statushours3,jdbcType=DECIMAL}, #{statushours4,jdbcType=DECIMAL}, #{statushours5,jdbcType=DECIMAL}, 
      #{statushours6,jdbcType=DECIMAL}, #{statushours7,jdbcType=DECIMAL}, #{statushours8,jdbcType=DECIMAL}, 
      #{statushours9,jdbcType=DECIMAL}, #{statushours10,jdbcType=DECIMAL}, #{statushours11,jdbcType=DECIMAL}, 
      #{statushours12,jdbcType=DECIMAL}, #{lossofpower0,jdbcType=DECIMAL}, #{lossofpower1,jdbcType=DECIMAL}, 
      #{lossofpower2,jdbcType=DECIMAL}, #{lossofpower3,jdbcType=DECIMAL}, #{lossofpower4,jdbcType=DECIMAL}, 
      #{lossofpower5,jdbcType=DECIMAL}, #{lossofpower6,jdbcType=DECIMAL}, #{lossofpower7,jdbcType=DECIMAL}, 
      #{lossofpower8,jdbcType=DECIMAL}, #{lossofpower9,jdbcType=DECIMAL}, #{lossofpower10,jdbcType=DECIMAL}, 
      #{lossofpower11,jdbcType=DECIMAL}, #{lossofpower12,jdbcType=DECIMAL}, #{statuslossofpower0,jdbcType=DECIMAL}, 
      #{statuslossofpower1,jdbcType=DECIMAL}, #{statuslossofpower2,jdbcType=DECIMAL}, 
      #{statuslossofpower3,jdbcType=DECIMAL}, #{statuslossofpower4,jdbcType=DECIMAL}, 
      #{statuslossofpower5,jdbcType=DECIMAL}, #{statuslossofpower6,jdbcType=DECIMAL}, 
      #{statuslossofpower7,jdbcType=DECIMAL}, #{statuslossofpower8,jdbcType=DECIMAL}, 
      #{statuslossofpower9,jdbcType=DECIMAL}, #{statuslossofpower10,jdbcType=DECIMAL}, 
      #{statuslossofpower11,jdbcType=DECIMAL}, #{statuslossofpower12,jdbcType=DECIMAL}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.WindturbineStatusDayStatistics">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbinestatusdaystatistics
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="windpowerstationid != null">
        windPowerStationId,
      </if>
      <if test="windturbineid != null">
        windTurbineId,
      </if>
      <if test="recorddate != null">
        recorddate,
      </if>
      <if test="stophours != null">
        stopHours,
      </if>
      <if test="status0 != null">
        status0,
      </if>
      <if test="status1 != null">
        status1,
      </if>
      <if test="status2 != null">
        status2,
      </if>
      <if test="status3 != null">
        status3,
      </if>
      <if test="status4 != null">
        status4,
      </if>
      <if test="status5 != null">
        status5,
      </if>
      <if test="status6 != null">
        status6,
      </if>
      <if test="status7 != null">
        status7,
      </if>
      <if test="status8 != null">
        status8,
      </if>
      <if test="status9 != null">
        status9,
      </if>
      <if test="status10 != null">
        status10,
      </if>
      <if test="status11 != null">
        status11,
      </if>
      <if test="status12 != null">
        status12,
      </if>
      <if test="statushours0 != null">
        statusHours0,
      </if>
      <if test="statushours1 != null">
        statusHours1,
      </if>
      <if test="statushours2 != null">
        statusHours2,
      </if>
      <if test="statushours3 != null">
        statusHours3,
      </if>
      <if test="statushours4 != null">
        statusHours4,
      </if>
      <if test="statushours5 != null">
        statusHours5,
      </if>
      <if test="statushours6 != null">
        statusHours6,
      </if>
      <if test="statushours7 != null">
        statusHours7,
      </if>
      <if test="statushours8 != null">
        statusHours8,
      </if>
      <if test="statushours9 != null">
        statusHours9,
      </if>
      <if test="statushours10 != null">
        statusHours10,
      </if>
      <if test="statushours11 != null">
        statusHours11,
      </if>
      <if test="statushours12 != null">
        statusHours12,
      </if>
      <if test="lossofpower0 != null">
        Lossofpower0,
      </if>
      <if test="lossofpower1 != null">
        Lossofpower1,
      </if>
      <if test="lossofpower2 != null">
        Lossofpower2,
      </if>
      <if test="lossofpower3 != null">
        Lossofpower3,
      </if>
      <if test="lossofpower4 != null">
        Lossofpower4,
      </if>
      <if test="lossofpower5 != null">
        Lossofpower5,
      </if>
      <if test="lossofpower6 != null">
        Lossofpower6,
      </if>
      <if test="lossofpower7 != null">
        Lossofpower7,
      </if>
      <if test="lossofpower8 != null">
        Lossofpower8,
      </if>
      <if test="lossofpower9 != null">
        Lossofpower9,
      </if>
      <if test="lossofpower10 != null">
        Lossofpower10,
      </if>
      <if test="lossofpower11 != null">
        Lossofpower11,
      </if>
      <if test="lossofpower12 != null">
        Lossofpower12,
      </if>
      <if test="statuslossofpower0 != null">
        statusLossofpower0,
      </if>
      <if test="statuslossofpower1 != null">
        statusLossofpower1,
      </if>
      <if test="statuslossofpower2 != null">
        statusLossofpower2,
      </if>
      <if test="statuslossofpower3 != null">
        statusLossofpower3,
      </if>
      <if test="statuslossofpower4 != null">
        statusLossofpower4,
      </if>
      <if test="statuslossofpower5 != null">
        statusLossofpower5,
      </if>
      <if test="statuslossofpower6 != null">
        statusLossofpower6,
      </if>
      <if test="statuslossofpower7 != null">
        statusLossofpower7,
      </if>
      <if test="statuslossofpower8 != null">
        statusLossofpower8,
      </if>
      <if test="statuslossofpower9 != null">
        statusLossofpower9,
      </if>
      <if test="statuslossofpower10 != null">
        statusLossofpower10,
      </if>
      <if test="statuslossofpower11 != null">
        statusLossofpower11,
      </if>
      <if test="statuslossofpower12 != null">
        statusLossofpower12,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="windpowerstationid != null">
        #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="windturbineid != null">
        #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        #{recorddate,jdbcType=DATE},
      </if>
      <if test="stophours != null">
        #{stophours,jdbcType=DECIMAL},
      </if>
      <if test="status0 != null">
        #{status0,jdbcType=INTEGER},
      </if>
      <if test="status1 != null">
        #{status1,jdbcType=INTEGER},
      </if>
      <if test="status2 != null">
        #{status2,jdbcType=INTEGER},
      </if>
      <if test="status3 != null">
        #{status3,jdbcType=INTEGER},
      </if>
      <if test="status4 != null">
        #{status4,jdbcType=INTEGER},
      </if>
      <if test="status5 != null">
        #{status5,jdbcType=INTEGER},
      </if>
      <if test="status6 != null">
        #{status6,jdbcType=INTEGER},
      </if>
      <if test="status7 != null">
        #{status7,jdbcType=INTEGER},
      </if>
      <if test="status8 != null">
        #{status8,jdbcType=INTEGER},
      </if>
      <if test="status9 != null">
        #{status9,jdbcType=INTEGER},
      </if>
      <if test="status10 != null">
        #{status10,jdbcType=INTEGER},
      </if>
      <if test="status11 != null">
        #{status11,jdbcType=INTEGER},
      </if>
      <if test="status12 != null">
        #{status12,jdbcType=INTEGER},
      </if>
      <if test="statushours0 != null">
        #{statushours0,jdbcType=DECIMAL},
      </if>
      <if test="statushours1 != null">
        #{statushours1,jdbcType=DECIMAL},
      </if>
      <if test="statushours2 != null">
        #{statushours2,jdbcType=DECIMAL},
      </if>
      <if test="statushours3 != null">
        #{statushours3,jdbcType=DECIMAL},
      </if>
      <if test="statushours4 != null">
        #{statushours4,jdbcType=DECIMAL},
      </if>
      <if test="statushours5 != null">
        #{statushours5,jdbcType=DECIMAL},
      </if>
      <if test="statushours6 != null">
        #{statushours6,jdbcType=DECIMAL},
      </if>
      <if test="statushours7 != null">
        #{statushours7,jdbcType=DECIMAL},
      </if>
      <if test="statushours8 != null">
        #{statushours8,jdbcType=DECIMAL},
      </if>
      <if test="statushours9 != null">
        #{statushours9,jdbcType=DECIMAL},
      </if>
      <if test="statushours10 != null">
        #{statushours10,jdbcType=DECIMAL},
      </if>
      <if test="statushours11 != null">
        #{statushours11,jdbcType=DECIMAL},
      </if>
      <if test="statushours12 != null">
        #{statushours12,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower0 != null">
        #{lossofpower0,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower1 != null">
        #{lossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower2 != null">
        #{lossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower3 != null">
        #{lossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower4 != null">
        #{lossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower5 != null">
        #{lossofpower5,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower6 != null">
        #{lossofpower6,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower7 != null">
        #{lossofpower7,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower8 != null">
        #{lossofpower8,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower9 != null">
        #{lossofpower9,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower10 != null">
        #{lossofpower10,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower11 != null">
        #{lossofpower11,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower12 != null">
        #{lossofpower12,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower0 != null">
        #{statuslossofpower0,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower1 != null">
        #{statuslossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower2 != null">
        #{statuslossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower3 != null">
        #{statuslossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower4 != null">
        #{statuslossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower5 != null">
        #{statuslossofpower5,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower6 != null">
        #{statuslossofpower6,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower7 != null">
        #{statuslossofpower7,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower8 != null">
        #{statuslossofpower8,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower9 != null">
        #{statuslossofpower9,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower10 != null">
        #{statuslossofpower10,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower11 != null">
        #{statuslossofpower11,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower12 != null">
        #{statuslossofpower12,jdbcType=DECIMAL},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.WindturbineStatusDayStatisticsExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from windturbinestatusdaystatistics
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbinestatusdaystatistics
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.windpowerstationid != null">
        windPowerStationId = #{record.windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="record.windturbineid != null">
        windTurbineId = #{record.windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="record.recorddate != null">
        recorddate = #{record.recorddate,jdbcType=DATE},
      </if>
      <if test="record.stophours != null">
        stopHours = #{record.stophours,jdbcType=DECIMAL},
      </if>
      <if test="record.status0 != null">
        status0 = #{record.status0,jdbcType=INTEGER},
      </if>
      <if test="record.status1 != null">
        status1 = #{record.status1,jdbcType=INTEGER},
      </if>
      <if test="record.status2 != null">
        status2 = #{record.status2,jdbcType=INTEGER},
      </if>
      <if test="record.status3 != null">
        status3 = #{record.status3,jdbcType=INTEGER},
      </if>
      <if test="record.status4 != null">
        status4 = #{record.status4,jdbcType=INTEGER},
      </if>
      <if test="record.status5 != null">
        status5 = #{record.status5,jdbcType=INTEGER},
      </if>
      <if test="record.status6 != null">
        status6 = #{record.status6,jdbcType=INTEGER},
      </if>
      <if test="record.status7 != null">
        status7 = #{record.status7,jdbcType=INTEGER},
      </if>
      <if test="record.status8 != null">
        status8 = #{record.status8,jdbcType=INTEGER},
      </if>
      <if test="record.status9 != null">
        status9 = #{record.status9,jdbcType=INTEGER},
      </if>
      <if test="record.status10 != null">
        status10 = #{record.status10,jdbcType=INTEGER},
      </if>
      <if test="record.status11 != null">
        status11 = #{record.status11,jdbcType=INTEGER},
      </if>
      <if test="record.status12 != null">
        status12 = #{record.status12,jdbcType=INTEGER},
      </if>
      <if test="record.statushours0 != null">
        statusHours0 = #{record.statushours0,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours1 != null">
        statusHours1 = #{record.statushours1,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours2 != null">
        statusHours2 = #{record.statushours2,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours3 != null">
        statusHours3 = #{record.statushours3,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours4 != null">
        statusHours4 = #{record.statushours4,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours5 != null">
        statusHours5 = #{record.statushours5,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours6 != null">
        statusHours6 = #{record.statushours6,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours7 != null">
        statusHours7 = #{record.statushours7,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours8 != null">
        statusHours8 = #{record.statushours8,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours9 != null">
        statusHours9 = #{record.statushours9,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours10 != null">
        statusHours10 = #{record.statushours10,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours11 != null">
        statusHours11 = #{record.statushours11,jdbcType=DECIMAL},
      </if>
      <if test="record.statushours12 != null">
        statusHours12 = #{record.statushours12,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower0 != null">
        Lossofpower0 = #{record.lossofpower0,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower1 != null">
        Lossofpower1 = #{record.lossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower2 != null">
        Lossofpower2 = #{record.lossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower3 != null">
        Lossofpower3 = #{record.lossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower4 != null">
        Lossofpower4 = #{record.lossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower5 != null">
        Lossofpower5 = #{record.lossofpower5,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower6 != null">
        Lossofpower6 = #{record.lossofpower6,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower7 != null">
        Lossofpower7 = #{record.lossofpower7,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower8 != null">
        Lossofpower8 = #{record.lossofpower8,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower9 != null">
        Lossofpower9 = #{record.lossofpower9,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower10 != null">
        Lossofpower10 = #{record.lossofpower10,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower11 != null">
        Lossofpower11 = #{record.lossofpower11,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower12 != null">
        Lossofpower12 = #{record.lossofpower12,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower0 != null">
        statusLossofpower0 = #{record.statuslossofpower0,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower1 != null">
        statusLossofpower1 = #{record.statuslossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower2 != null">
        statusLossofpower2 = #{record.statuslossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower3 != null">
        statusLossofpower3 = #{record.statuslossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower4 != null">
        statusLossofpower4 = #{record.statuslossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower5 != null">
        statusLossofpower5 = #{record.statuslossofpower5,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower6 != null">
        statusLossofpower6 = #{record.statuslossofpower6,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower7 != null">
        statusLossofpower7 = #{record.statuslossofpower7,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower8 != null">
        statusLossofpower8 = #{record.statuslossofpower8,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower9 != null">
        statusLossofpower9 = #{record.statuslossofpower9,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower10 != null">
        statusLossofpower10 = #{record.statuslossofpower10,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower11 != null">
        statusLossofpower11 = #{record.statuslossofpower11,jdbcType=DECIMAL},
      </if>
      <if test="record.statuslossofpower12 != null">
        statusLossofpower12 = #{record.statuslossofpower12,jdbcType=DECIMAL},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbinestatusdaystatistics
    set id = #{record.id,jdbcType=INTEGER},
      windPowerStationId = #{record.windpowerstationid,jdbcType=VARCHAR},
      windTurbineId = #{record.windturbineid,jdbcType=VARCHAR},
      recorddate = #{record.recorddate,jdbcType=DATE},
      stopHours = #{record.stophours,jdbcType=DECIMAL},
      status0 = #{record.status0,jdbcType=INTEGER},
      status1 = #{record.status1,jdbcType=INTEGER},
      status2 = #{record.status2,jdbcType=INTEGER},
      status3 = #{record.status3,jdbcType=INTEGER},
      status4 = #{record.status4,jdbcType=INTEGER},
      status5 = #{record.status5,jdbcType=INTEGER},
      status6 = #{record.status6,jdbcType=INTEGER},
      status7 = #{record.status7,jdbcType=INTEGER},
      status8 = #{record.status8,jdbcType=INTEGER},
      status9 = #{record.status9,jdbcType=INTEGER},
      status10 = #{record.status10,jdbcType=INTEGER},
      status11 = #{record.status11,jdbcType=INTEGER},
      status12 = #{record.status12,jdbcType=INTEGER},
      statusHours0 = #{record.statushours0,jdbcType=DECIMAL},
      statusHours1 = #{record.statushours1,jdbcType=DECIMAL},
      statusHours2 = #{record.statushours2,jdbcType=DECIMAL},
      statusHours3 = #{record.statushours3,jdbcType=DECIMAL},
      statusHours4 = #{record.statushours4,jdbcType=DECIMAL},
      statusHours5 = #{record.statushours5,jdbcType=DECIMAL},
      statusHours6 = #{record.statushours6,jdbcType=DECIMAL},
      statusHours7 = #{record.statushours7,jdbcType=DECIMAL},
      statusHours8 = #{record.statushours8,jdbcType=DECIMAL},
      statusHours9 = #{record.statushours9,jdbcType=DECIMAL},
      statusHours10 = #{record.statushours10,jdbcType=DECIMAL},
      statusHours11 = #{record.statushours11,jdbcType=DECIMAL},
      statusHours12 = #{record.statushours12,jdbcType=DECIMAL},
      Lossofpower0 = #{record.lossofpower0,jdbcType=DECIMAL},
      Lossofpower1 = #{record.lossofpower1,jdbcType=DECIMAL},
      Lossofpower2 = #{record.lossofpower2,jdbcType=DECIMAL},
      Lossofpower3 = #{record.lossofpower3,jdbcType=DECIMAL},
      Lossofpower4 = #{record.lossofpower4,jdbcType=DECIMAL},
      Lossofpower5 = #{record.lossofpower5,jdbcType=DECIMAL},
      Lossofpower6 = #{record.lossofpower6,jdbcType=DECIMAL},
      Lossofpower7 = #{record.lossofpower7,jdbcType=DECIMAL},
      Lossofpower8 = #{record.lossofpower8,jdbcType=DECIMAL},
      Lossofpower9 = #{record.lossofpower9,jdbcType=DECIMAL},
      Lossofpower10 = #{record.lossofpower10,jdbcType=DECIMAL},
      Lossofpower11 = #{record.lossofpower11,jdbcType=DECIMAL},
      Lossofpower12 = #{record.lossofpower12,jdbcType=DECIMAL},
      statusLossofpower0 = #{record.statuslossofpower0,jdbcType=DECIMAL},
      statusLossofpower1 = #{record.statuslossofpower1,jdbcType=DECIMAL},
      statusLossofpower2 = #{record.statuslossofpower2,jdbcType=DECIMAL},
      statusLossofpower3 = #{record.statuslossofpower3,jdbcType=DECIMAL},
      statusLossofpower4 = #{record.statuslossofpower4,jdbcType=DECIMAL},
      statusLossofpower5 = #{record.statuslossofpower5,jdbcType=DECIMAL},
      statusLossofpower6 = #{record.statuslossofpower6,jdbcType=DECIMAL},
      statusLossofpower7 = #{record.statuslossofpower7,jdbcType=DECIMAL},
      statusLossofpower8 = #{record.statuslossofpower8,jdbcType=DECIMAL},
      statusLossofpower9 = #{record.statuslossofpower9,jdbcType=DECIMAL},
      statusLossofpower10 = #{record.statuslossofpower10,jdbcType=DECIMAL},
      statusLossofpower11 = #{record.statuslossofpower11,jdbcType=DECIMAL},
      statusLossofpower12 = #{record.statuslossofpower12,jdbcType=DECIMAL}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.WindturbineStatusDayStatistics">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbinestatusdaystatistics
    <set>
      <if test="windpowerstationid != null">
        windPowerStationId = #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="windturbineid != null">
        windTurbineId = #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="recorddate != null">
        recorddate = #{recorddate,jdbcType=DATE},
      </if>
      <if test="stophours != null">
        stopHours = #{stophours,jdbcType=DECIMAL},
      </if>
      <if test="status0 != null">
        status0 = #{status0,jdbcType=INTEGER},
      </if>
      <if test="status1 != null">
        status1 = #{status1,jdbcType=INTEGER},
      </if>
      <if test="status2 != null">
        status2 = #{status2,jdbcType=INTEGER},
      </if>
      <if test="status3 != null">
        status3 = #{status3,jdbcType=INTEGER},
      </if>
      <if test="status4 != null">
        status4 = #{status4,jdbcType=INTEGER},
      </if>
      <if test="status5 != null">
        status5 = #{status5,jdbcType=INTEGER},
      </if>
      <if test="status6 != null">
        status6 = #{status6,jdbcType=INTEGER},
      </if>
      <if test="status7 != null">
        status7 = #{status7,jdbcType=INTEGER},
      </if>
      <if test="status8 != null">
        status8 = #{status8,jdbcType=INTEGER},
      </if>
      <if test="status9 != null">
        status9 = #{status9,jdbcType=INTEGER},
      </if>
      <if test="status10 != null">
        status10 = #{status10,jdbcType=INTEGER},
      </if>
      <if test="status11 != null">
        status11 = #{status11,jdbcType=INTEGER},
      </if>
      <if test="status12 != null">
        status12 = #{status12,jdbcType=INTEGER},
      </if>
      <if test="statushours0 != null">
        statusHours0 = #{statushours0,jdbcType=DECIMAL},
      </if>
      <if test="statushours1 != null">
        statusHours1 = #{statushours1,jdbcType=DECIMAL},
      </if>
      <if test="statushours2 != null">
        statusHours2 = #{statushours2,jdbcType=DECIMAL},
      </if>
      <if test="statushours3 != null">
        statusHours3 = #{statushours3,jdbcType=DECIMAL},
      </if>
      <if test="statushours4 != null">
        statusHours4 = #{statushours4,jdbcType=DECIMAL},
      </if>
      <if test="statushours5 != null">
        statusHours5 = #{statushours5,jdbcType=DECIMAL},
      </if>
      <if test="statushours6 != null">
        statusHours6 = #{statushours6,jdbcType=DECIMAL},
      </if>
      <if test="statushours7 != null">
        statusHours7 = #{statushours7,jdbcType=DECIMAL},
      </if>
      <if test="statushours8 != null">
        statusHours8 = #{statushours8,jdbcType=DECIMAL},
      </if>
      <if test="statushours9 != null">
        statusHours9 = #{statushours9,jdbcType=DECIMAL},
      </if>
      <if test="statushours10 != null">
        statusHours10 = #{statushours10,jdbcType=DECIMAL},
      </if>
      <if test="statushours11 != null">
        statusHours11 = #{statushours11,jdbcType=DECIMAL},
      </if>
      <if test="statushours12 != null">
        statusHours12 = #{statushours12,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower0 != null">
        Lossofpower0 = #{lossofpower0,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower1 != null">
        Lossofpower1 = #{lossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower2 != null">
        Lossofpower2 = #{lossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower3 != null">
        Lossofpower3 = #{lossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower4 != null">
        Lossofpower4 = #{lossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower5 != null">
        Lossofpower5 = #{lossofpower5,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower6 != null">
        Lossofpower6 = #{lossofpower6,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower7 != null">
        Lossofpower7 = #{lossofpower7,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower8 != null">
        Lossofpower8 = #{lossofpower8,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower9 != null">
        Lossofpower9 = #{lossofpower9,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower10 != null">
        Lossofpower10 = #{lossofpower10,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower11 != null">
        Lossofpower11 = #{lossofpower11,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower12 != null">
        Lossofpower12 = #{lossofpower12,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower0 != null">
        statusLossofpower0 = #{statuslossofpower0,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower1 != null">
        statusLossofpower1 = #{statuslossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower2 != null">
        statusLossofpower2 = #{statuslossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower3 != null">
        statusLossofpower3 = #{statuslossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower4 != null">
        statusLossofpower4 = #{statuslossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower5 != null">
        statusLossofpower5 = #{statuslossofpower5,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower6 != null">
        statusLossofpower6 = #{statuslossofpower6,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower7 != null">
        statusLossofpower7 = #{statuslossofpower7,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower8 != null">
        statusLossofpower8 = #{statuslossofpower8,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower9 != null">
        statusLossofpower9 = #{statuslossofpower9,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower10 != null">
        statusLossofpower10 = #{statuslossofpower10,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower11 != null">
        statusLossofpower11 = #{statuslossofpower11,jdbcType=DECIMAL},
      </if>
      <if test="statuslossofpower12 != null">
        statusLossofpower12 = #{statuslossofpower12,jdbcType=DECIMAL},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.WindturbineStatusDayStatistics">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbinestatusdaystatistics
    set windPowerStationId = #{windpowerstationid,jdbcType=VARCHAR},
      windTurbineId = #{windturbineid,jdbcType=VARCHAR},
      recorddate = #{recorddate,jdbcType=DATE},
      stopHours = #{stophours,jdbcType=DECIMAL},
      status0 = #{status0,jdbcType=INTEGER},
      status1 = #{status1,jdbcType=INTEGER},
      status2 = #{status2,jdbcType=INTEGER},
      status3 = #{status3,jdbcType=INTEGER},
      status4 = #{status4,jdbcType=INTEGER},
      status5 = #{status5,jdbcType=INTEGER},
      status6 = #{status6,jdbcType=INTEGER},
      status7 = #{status7,jdbcType=INTEGER},
      status8 = #{status8,jdbcType=INTEGER},
      status9 = #{status9,jdbcType=INTEGER},
      status10 = #{status10,jdbcType=INTEGER},
      status11 = #{status11,jdbcType=INTEGER},
      status12 = #{status12,jdbcType=INTEGER},
      statusHours0 = #{statushours0,jdbcType=DECIMAL},
      statusHours1 = #{statushours1,jdbcType=DECIMAL},
      statusHours2 = #{statushours2,jdbcType=DECIMAL},
      statusHours3 = #{statushours3,jdbcType=DECIMAL},
      statusHours4 = #{statushours4,jdbcType=DECIMAL},
      statusHours5 = #{statushours5,jdbcType=DECIMAL},
      statusHours6 = #{statushours6,jdbcType=DECIMAL},
      statusHours7 = #{statushours7,jdbcType=DECIMAL},
      statusHours8 = #{statushours8,jdbcType=DECIMAL},
      statusHours9 = #{statushours9,jdbcType=DECIMAL},
      statusHours10 = #{statushours10,jdbcType=DECIMAL},
      statusHours11 = #{statushours11,jdbcType=DECIMAL},
      statusHours12 = #{statushours12,jdbcType=DECIMAL},
      Lossofpower0 = #{lossofpower0,jdbcType=DECIMAL},
      Lossofpower1 = #{lossofpower1,jdbcType=DECIMAL},
      Lossofpower2 = #{lossofpower2,jdbcType=DECIMAL},
      Lossofpower3 = #{lossofpower3,jdbcType=DECIMAL},
      Lossofpower4 = #{lossofpower4,jdbcType=DECIMAL},
      Lossofpower5 = #{lossofpower5,jdbcType=DECIMAL},
      Lossofpower6 = #{lossofpower6,jdbcType=DECIMAL},
      Lossofpower7 = #{lossofpower7,jdbcType=DECIMAL},
      Lossofpower8 = #{lossofpower8,jdbcType=DECIMAL},
      Lossofpower9 = #{lossofpower9,jdbcType=DECIMAL},
      Lossofpower10 = #{lossofpower10,jdbcType=DECIMAL},
      Lossofpower11 = #{lossofpower11,jdbcType=DECIMAL},
      Lossofpower12 = #{lossofpower12,jdbcType=DECIMAL},
      statusLossofpower0 = #{statuslossofpower0,jdbcType=DECIMAL},
      statusLossofpower1 = #{statuslossofpower1,jdbcType=DECIMAL},
      statusLossofpower2 = #{statuslossofpower2,jdbcType=DECIMAL},
      statusLossofpower3 = #{statuslossofpower3,jdbcType=DECIMAL},
      statusLossofpower4 = #{statuslossofpower4,jdbcType=DECIMAL},
      statusLossofpower5 = #{statuslossofpower5,jdbcType=DECIMAL},
      statusLossofpower6 = #{statuslossofpower6,jdbcType=DECIMAL},
      statusLossofpower7 = #{statuslossofpower7,jdbcType=DECIMAL},
      statusLossofpower8 = #{statuslossofpower8,jdbcType=DECIMAL},
      statusLossofpower9 = #{statuslossofpower9,jdbcType=DECIMAL},
      statusLossofpower10 = #{statuslossofpower10,jdbcType=DECIMAL},
      statusLossofpower11 = #{statuslossofpower11,jdbcType=DECIMAL},
      statusLossofpower12 = #{statuslossofpower12,jdbcType=DECIMAL}
    where id = #{id,jdbcType=INTEGER}
  </update>
</mapper>